%define upstream_name    Spork-Shlomify
%define upstream_version 0.0203

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The formatting class for Spork::Shlomify
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Spork/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Spoon)
BuildRequires: perl(Spork)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/shspork

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.20.300-2.mga6
+ Revision: 1033319
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.20.300-1.mga6
+ Revision: 923920
- update to 0.0203

* Sat Jun 27 2015 shlomif <shlomif> 0.20.200-1.mga6
+ Revision: 846416
- update to 0.0202
- imported package perl-Spork-Shlomify


* Fri Nov 18 2011 cpan2dist 0.0200-1mga
- initial mageia release, generated with cpan2dist
